Bug 857504 - if spice-activex is not present, wait with setting the ticket till it downloads and installs
if spice-activex is not present, wait with setting the ticket till it downloa...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Frantisek Kobzik
Oded Ramraz
virt
: Regression, Reopened
: 868958 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 12:06 EDT by David Jaša
Modified: 2014-01-31 04:48 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 04:48:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-09-14 12:06:57 EDT
Description of problem:
if spice-activex is not present, wait with setting the ticket till it downloads and installs

Version-Release number of selected component (if applicable):
si16.2

How reproducible:
always

Steps to Reproduce:
1. on "pristine" VM, launch a console from IE
2. delay the download+installation time for 2+ minutes
3. 
  
Actual results:
remote-viewer launches asking for password (because tiket validity has expired)

Expected results:
remote viewer either connects successfully or closes with error 

==> add the check to the portal if the ticked didn't already expire before actual client launch and if it did, ask backend for a new one

Additional info:
Comment 1 David Jaša 2012-09-14 13:56:54 EDT
(In reply to comment #0)
<snip>
> 1. on "pristine" VM, launch a console from IE

"pristine _client Windows machine_ of course
Comment 2 Itamar Heim 2012-09-14 15:17:14 EDT
I'm missing why this wasn't an issue with previous versions?
can you reproduce this with 3.0 and its active x version of spice (pre virt-viewer)? can you reproduce this with 3.0 and the new version of virt-viewer?
Comment 3 David Jaša 2012-09-14 15:42:22 EDT
(In reply to comment #2)
> I'm missing why this wasn't an issue with previous versions?

Because spicec used to silently exit without even launching a window - after installation, user just seen nothing happening and launched the client once more. Because of design changes (interactive password entry to prevent password being typed on command line), virt-viewer behaves differently and I don't see much space for fix on its side.

> can you reproduce this with 3.0 and its active x version of spice (pre
> virt-viewer)? can you reproduce this with 3.0 and the new version of
> virt-viewer?

Based on info above, I guess the answers are "no" and "yes".

Actually,

> ==> add the check to the portal if the ticked didn't already expire before
> actual client launch and if it did, ask backend for a new one

is probably wrong suggestion, it would be better not to ask for ticket at all if activex is not installed and ask for it just right before client launch.
Comment 11 Andrew Cathrow 2012-09-27 16:31:05 EDT
Moving this BZ to rhev-m future.

We'll create BZ's on remote-viewer and active-X to mirror the old behaviour
Comment 12 David Jaša 2012-10-02 09:10:26 EDT
Bug occurs on clean installation of si19, too.

Notes for reproducing it: 
1) if you connect to your RHEV-M via low-bandwidth connection such as VPN on another continent, you're much more likely to hit the bug.
2) because of bug 857038, it's quite easy to repeat the bug on 64b client just by switching to the other IE (64b if you reproduced on 32b)
Comment 13 David Jaša 2012-10-22 10:53:36 EDT
*** Bug 868958 has been marked as a duplicate of this bug. ***
Comment 14 David Jaša 2012-10-22 10:58:29 EDT
From the duplicate:

===================
I have seen it be more reproducible by making a remote-viewer connection and closing it before the display is brought up and then trying to bring up the remote-viewer window again.  But I have also seen it come up just connecting to it for the first time in a browser session.

*Tested on Win 7 64 client, I've seen it a occur 4 or 5 times.  I also tested on a Win 7 32 bit client, but never saw it on that client.
===================

Andy, this seems to be pretty serious ux regression, surely something not to be resolved in -future, so I'm resetting the flag to rhevm-3.1.0? again.
Comment 19 Michal Skrivanek 2013-01-07 05:44:45 EST
seems it's doable on our side too and it would provide a better user experience.
We also need to have some visual feedback for the time between the click and activex initialization
Comment 21 Itamar Heim 2013-12-29 06:15:40 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.
Comment 26 Michal Skrivanek 2014-01-31 04:48:08 EST
finally we care about activex less and less. Let's hope it dies in a terrible agony really soon

Note You need to log in before you can comment on or make changes to this bug.